# X-Box Disassembler

Assembler code

```
.text:00402E61
.text:00402E61     loc_402E61:                             ; CODE XREF: sub_402DC4+8C↑j
.text:00402E61                                             ; sub_402DC4+98↑j
.text:00402E61 218                 lea     edi, [ebp+var_20C]
.text:00402E67 218                 or      ecx, 0FFFFFFFFh
.text:00402E6A 218                 xor     eax, eax
.text:00402E6C 218                 mov     esi, offset asc_401634 ; ")"
.text:00402E71 218                 repne scasb
.text:00402E73 218                 dec     edi
.text:00402E74 218                 movsw
.text:00402E76 218                 jmp     short loc_402E8E
.text:00402E78     ; ---------------------------------------------------------------------------
.text:00402E78
.text:00402E78     loc_402E78:                             ; CODE XREF: sub_402DC4+55↑j
.text:00402E78 218                 push    esi
.text:00402E79 21C                 push    offset aS       ; "%s"
.text:00402E7E
.text:00402E7E     loc_402E7E:                             ; CODE XREF: sub_402DC4+31↑j
.text:00402E7E 220                 lea     eax, [ebp+var_20C]
.text:00402E84 220                 push    eax
.text:00402E85 224                 call    ds:sprintf
.text:00402E8B 224                 add     esp, 0Ch
.text:00402E8E
.text:00402E8E     loc_402E8E:                             ; CODE XREF: sub_402DC4+B2↑j
.text:00402E8E 218                 mov     ecx, [ebp+var_4]
.text:00402E91 218                 lea     eax, [ebp+var_20C]
.text:00402E97 218                 push    eax             ; const char *
.text:00402E98 21C                 call    sub_402EA3
.text:00402E9D 218                 pop     edi
.text:00402E9E 214                 pop     esi
.text:00402E9F 210                 leave
.text:00402EA0 000                 retn    8
.text:00402EA0     sub_402DC4      endp
.text:00402EA0
.text:00402EA3
.text:00402EA3     ; =============== S U B R O U T I N E =======================================
.text:00402EA3
.text:00402EA3
.text:00402EA3     ; int __cdecl sub_402EA3(const char *)
.text:00402EA3     sub_402EA3      proc near               ; CODE XREF: sub_402DC4+D4↑p
.text:00402EA3                                             ; sub_4030B2:loc_403381↓p
.text:00402EA3
.text:00402EA3     arg_0           = dword ptr  8
.text:00402EA3
.text:00402EA3 000                 push    esi

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/disassembler/disassembly-gallery/x-box-disassembler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
